Opened 16 years ago

Closed 16 years ago

Last modified 16 years ago

#120 closed defect (fixed)

amavisd-maia requires Crypt:CBC

Reported by: karl@… Owned by: rjl
Priority: normal Milestone:
Component: amavisd-maia Version:
Severity: normal Keywords:
Cc:

Description

amavisd-maia seems to require Crypt:CBC even if there is no $key_file entry in the amavisd.conf file.

Change History (6)

comment:1 Changed 16 years ago by dmorton

this should only be required if a key file is defined. Check your system configuration in the maia php interface, make sure the encryption key is blank.

Alternately, change your amavisd-maia log level to 3 and look at the inital startup, and see if it says encryption is ENABLED or not.

comment:2 Changed 16 years ago by anonymous

  • Severity changed from blocker to normal

comment:3 Changed 16 years ago by karl@…

Maia did have a defined key file (blowfish.key) which was placed there when I created the DB with the maia-mysql.sql script. I have now removed it via the php interface but that still does not let me start amavisd-maia.

No command line options will allow me to see what amavisd-maia is doing - I always get

Can't locate Crypt/CBC.pm in @INC (@INC contains:.....) at /usr/sbin/amavisd line 2931. BEGIN failed--compilation aborted at /usr/sbin/amavisd line 2931.

comment:4 Changed 16 years ago by dmorton

"amavisd-maia foreground" will run it in the foregreground, so you can see all the startup messages, and editing the log level in amavisd.conf to at least 3 or up to 5 will give much more debugging info.

comment:5 Changed 16 years ago by dmorton

  • Resolution set to fixed
  • Status changed from new to closed

I think I found the problem, please try version [505]

Changed "use" to "require", which loads at runtime rather than compile time.

comment:6 Changed 16 years ago by anonymous

dgdf gd d d d

Note: See TracTickets for help on using tickets.